org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONTypeSerializerV2d0

- java.lang.Object
- - TypeSerializer
  - - org.apache.tinkerpop.gremlin.structure.io.graphson.AbstractGraphSONTypeSerializer
    - - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONTypeSerializerV2d0

-     public class GraphSONTypeSerializerV2d0
      extends AbstractGraphSONTypeSerializer

  GraphSON 2.0 `TypeSerializer`.
  Author:
    Kevin Gallardo (https://kgdo.me), Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.structure.io.graphson.AbstractGraphSONTypeSerializer

      `classMap, idRes, propertyName, typeInfo, valuePropertyName`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class` | `getClassFromObject(Object o)` We force only **one** translation of a Java object to a domain specific object.
    `WritableTypeId` | `writeTypePrefix(JsonGenerator jsonGenerator, WritableTypeId writableTypeId)`
    `WritableTypeId` | `writeTypeSuffix(JsonGenerator jsonGenerator, WritableTypeId writableTypeId)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.structure.io.graphson.AbstractGraphSONTypeSerializer

      `canWriteTypeId, forProperty, getPropertyName, getTypeIdResolver, getTypeInclusion, writeTypeSuffix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeTypePrefix

          public WritableTypeId writeTypePrefix(JsonGenerator jsonGenerator,
                                                WritableTypeId writableTypeId)
                                         throws IOException

      Overrides:
        `writeTypePrefix` in class `AbstractGraphSONTypeSerializer`
      Throws:
        `IOException`

    - #### writeTypeSuffix

          public WritableTypeId writeTypeSuffix(JsonGenerator jsonGenerator,
                                                WritableTypeId writableTypeId)
                                         throws IOException

      Throws:
        `IOException`

    - #### getClassFromObject

          protected Class getClassFromObject(Object o)

      Description copied from class: `AbstractGraphSONTypeSerializer`
      We force only **one** translation of a Java object to a domain specific object. i.e. users register typeIDs and serializers/deserializers for the predefined types we have in the spec. Graph, Vertex, Edge, VertexProperty, etc... And **not** their implementations (TinkerGraph, DetachedVertex, TinkerEdge, etc..)
      Specified by:
        `getClassFromObject` in class `AbstractGraphSONTypeSerializer`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.